- entityDefinitions:
  - IDM_Relationship__is__Source_Class_equal_to_Class_parm: '{c179c3c6-1e6a-46cf-a6f6-9da2a16779b0}'
  - IDMB_Relationship__is__Source_Class_equal_to_Class_parm: '{5e6312ea-7e7f-402f-a736-c63b6a430ae5}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - evaluateBooleanExpressionMethod: '&IDM_Relationship__is__Source_Class_equal_to_Class_parm;'
    forClassId: '&IDC_Relationship;'
    verb: 'is'
    name: 'Source Class equal to Class parm'
    accessModifierId: '&IDI_AccessModifier_RootA2;'
    returnsAttributeId: '&IDA_ThisInInstancesParm;'
    source: '&IDMB_Relationship__get__Source_Class;'
    operator: '&IDI_RelationalOperator_ExactMatch;'
    target: '&IDI_WorkSet_ClassSingular;'
    
  - returnAttributeMethodBinding: '&IDMB_Relationship__is__Source_Class_equal_to_Class_parm;'
    executesMethod: '&IDM_Relationship__is__Source_Class_equal_to_Class_parm;'
